Subject: Re: bug#61483: [PATCH 0/5] Some basic Home Shepherd Services

From: Jan Nieuwenhuizen <[email-masked]>
Date: Tue, 14 Feb 2023 16:17:55 +0100

Bruno Victal writes:

> Have you tried using (non-home) git-daemon-service-type as a home service?

Yeah, I tried

--8<---------------cut here---------------start------------->8---
(use-modules (gnu services version-control))
;; [..]
,@(let ((root (string-append (getenv "HOME") "/git-daemon")))
    (if (not (file-exists? root)) '()
        `(,(service
            git-daemon-service-type
            (git-daemon-configuration
             (base-path root)
             (export-all? #t))))))
--8<---------------cut here---------------end--------------->8---

and upon guix home reconfigure I got

    guix home: error: no target of type 'account' for service 'git-daemon'

> I think it should work.

It might, and that would be nice, but I would need some more guidance as
to handle the account setup thing?

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com